import request from "@/utils/request";
// 修改
export function updateCheckedReport(data) {
  return request({
    url: "/postCheck/postCheckedReport",
    method: "put",
    data: data,
  });
}

// 新增
export function addCheckedReport(data) {
  return request({
    url: "/postCheck/postCheckedReport",
    method: "post",
    data: data,
  });
}

// 查询详细
export function getCheckedReport(Id) {
  return request({
    url: "/postCheck/postCheckedReport/" + Id,
    method: "get",
  });
}
// 删除
export function delCheckedReport(Id) {
  return request({
    url: "/postCheck/postCheckedReport/" + Id,
    method: "delete",
  });
}

// 查询列表
export function listCheckedReport(query) {
  return request({
    url: "/postCheck/postCheckedReport/list",
    method: "get",
    params: query,
  });
}
export function statusApprove(data) {
    return request({
      url: "/postCheck/postCheckedReport/statusApprove",
      method: "put",
      params: data,
    });
  }
// 查询列表
export function problemCategoryByAttribute(query) {
  return request({
    url: "/postCheck/postCheckedProblem/problemCategoryByAttribute",
    method: "get",
    params: query,
  });
}
